#include <iostream>
#include <vector>
using namespace std;

int main ()
{
	int n,k;
	cin>>n>>k;
	int x;
	vector<int> a(n);
	for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    if(a[n-1]==k)
    {
        cout<<a[0];
    }
    else
    {
        for(int i=0;i<n;i++)
        {
            if(a[i]==k)
            {
                cout<<a[i+1];
            }
        }
    }
	return 0;
}